Subject: bug#74220: invisible cursor

From: Jared Finder <[email-masked]>
Date: Sat, 07 Dec 2024 11:14:46 -0800

On 2024-12-07 04:34, Eli Zaretskii wrote:
>> Cc: [email-masked], [email-masked], 
>> [email-masked],
>>  [email-masked], [email-masked]
>> Date: Sat, 30 Nov 2024 09:08:06 +0200
>> From: Eli Zaretskii <[email-masked]>
>> 
>> > Date: Fri, 29 Nov 2024 11:12:39 -0800
>> > From: Jared Finder <[email-masked]>
>> > Cc: [email-masked], [email-masked], [email-masked],
>> >  [email-masked], [email-masked]
>> >
>> > I think Emacs is a special snowflake in that it doesn't (possibly
>> > can't?) rely on the GPM daemon drawing the mouse pointer. I did not see
>> > any other app with this problem. I tested Vim, Midnight Commander, Nano,
>> > and Bash. I don't know what is special about Emacs here. Perhaps the
>> > character under the mouse pointer is treated special in redisplay? Not
>> > sure.
>> 
>> Emacs needs to know where the mouse pointer is, and the rest it can
>> figure out by itself.  So if the GPM daemon drawing the mouse pointer
>> allows to know the pointer coordinates in a way that can be correlated
>> with the rows and column of the console, we should be okay.
>> 
>> Maybe when the GPM support for Emacs was written, the daemon couldn't
>> be used for drawing the pointer?
>> 
>> Anyway, one way to try to solve this is to try to use the
>> daemon-drawing of the mouse pointer.
>> 
>> > I will reach out to the kernel mailing list and see if they are ok
>> > relaxing the check and fixing this on their end.
>> 
>> Thanks.
> 
> Any progress here?

People on the Linux kernel mailing list agree this is a regression on 
Linux and that my suggested fix is probably appropriate. Tracking page: 
https://linux-regtracking.leemhuis.info/regzbot/regression/lore/CAG48ez0vg9W=[email-masked]/

   -- MJF